#!/bin/bash

# Ajouter un deuxième disque dur au système.
# Configuration logiciel. Suppose que le matériel est déjà monté.
# A partir d'un article de l'auteur de ce document dans le numéro
# #38 de la "Linux Gazette", http://www.linuxgazette.com.

ROOT_UID=0     # Ce script doit être lancé en tant que root.
E_NOTROOT=67   # Erreur pour les utilisateurs non privilégiés.

if [ "$UID" -ne "$ROOT_UID" ]
then
  echo "Vous devez être root pour utiliser ce script."
  exit $E_NOTROOT
fi  

# A utiliser avec beaucoup de précautions!
# Si quelque chose se passe mal, vous pourriez supprimer votre système de
#+ fichiers complet.


NOUVEAUDISQUE=/dev/hdb    # Suppose que /dev/hdb est disponible. A vérifier!
POINTMONTAGE=/mnt/newdisk # Ou choisissez un autre point de montage.


fdisk $NOUVEAUDISQUE1
mke2fs -cv $NOUVEAUDISQUE1 # Vérifie les mauvais blocs et rend la sortie verbeuse.
#  Note:    /dev/hdb1, *pas* /dev/hdb!
mkdir $POINTMONTAGE
chmod 777 $POINTMONTAGE   # Rend le nouveau disque accessible à tous les utilisateurs.


# Maintenant, testez...
# mount -t ext2 /dev/hdb1 /mnt/newdisk
# Essayez de créer un répertoire.
# Si cela fonctionne, démontez-le et faites.

# Etape finale:
# Ajoutez la ligne suivante dans /etc/fstab.
# /dev/hdb1  /mnt/newdisk  ext2  defaults  1 1

exit 0
