#!/bin/bash
# agram.sh: Jouer avec des anagrammes.

# Trouver les anagrammes de...
LETTRES=etaoinshrdlu
FILTRE='.......'       # Combien de lettres au minimum ?
#       1234567

anagram "$LETTRES" |   # Trouver tous les anagrammes de cet ensemble de lettres...
grep '$FILTRE' |       # Avec au moins sept lettres,
grep '^is' |           # commençant par 'is',
grep -v 's$' |         # sans les puriels,
grep -v 'ed$'          # sans verbe au passé ("ed" en anglais)
#  Il est possible d'ajouter beaucoup de combinaisons
#+ dans les conditions et les filtres.

#  Utilise l'utilitaire "anagram"
#+ qui fait partie du paquetage de liste de mots "yawl" de l'auteur.
#  http://ibiblio.org/pub/Linux/libs/yawl-0.3.2.tar.gz
#  http://personal.riverusers.com/~thegrendel/yawl-0.3.2.tar.gz

exit 0                 # Fin du code.

bash$ sh agram.sh
islander
isolate
isolead
isotheral



#  Exercices :
#  ----------
#  Modifiez ce script pour configurer LETTRES via la ligne de commande.
#  Transformez les filtres en paramètres dans les lignes 11 à 13
#+ (comme ce qui a été fait pour $FILTRE),
#+ de façon à ce qu'ils puissent être indiqués en passant les arguments
#+ à une fonction.

#  Pour une approche légèrement différente de la construction d'anagrammes,
#+ voir le script agram2.sh.
