#!/bin/bash
# de-rpm.sh : Déballe une archive 'rpm'

: ${1?"Usage: `basename $0` fichier_cible"}
# Doit spécifier le nom de l'archive 'rpm' comme argument.


FICHIERTEMP=$$.cpio                      # Fichier temporaire avec un nom "unique".
                                         # $$ est l'identifiant du processus du script.

rpm2cpio < $1 > $FICHIERTEMP                # Convertir l'archive rpm archive
                                            # en archive cpio.
cpio --make-directories -F $FICHIERTEMP -i  # Déballe l'archive cpio.
rm -f $FICHIERTEMP                          # Supprime l'archive cpio.

exit 0

#  Exercice :
#  Ajouter une vérification pour
#    1) s'assurer que le "fichier-cible" existe bien et
#+   2) que c'est une archive rpm.
#  Astuce :                    Analysez la sortie de la commande 'file'.
