#!/bin/bash

# Génère un journal de traces dans le répertoire courant à partir de la fin de
# /var/log/messages.

# Note : /var/log/messages doit être lisible par tout le monde si le script
# est appelé par un utilisateur simple.
#         #root chmod 644 /var/log/messages

LIGNES=5

( date; uname -a ) >>fichiertraces
# Date, heure et nom de l'ordinateur
echo --------------------------------------------------------------------- >>fichiertraces
tail -n LIGNES /var/log/messages | xargs |  fmt -s >>fichiertraces
echo >>fichiertraces
echo >>fichiertraces

exit 0

#  Note:
#  ----
#  Frank Wang précise que les guillemets qui ne se suivent pas (soit des
#+ simples soit des doubles) dans le fichier source pourraient donner
#+ une indigestion à xargs.
#
#  Il suggère d'utiliser la substitution suivante pour la ligne 15 :
#     tail -n $LIGNES /var/log/messages | tr -d "\"'" | xargs | fmt -s >>logfile



#  Exercice:
#  --------
#  Modifier ce script pour tracer les modifications dans /var/log/messages
#+ à des intervalles de 20 minutes.
#  Astuce : utilisez la commande "watch".
