#!/bin/bash
# Identique à l'exemple précédent, mais...

#  L'option - pour un document en ligne &lt;&lt;-
#  supprime les tabulations du début dans le corps du document,
#+ mais *pas* les espaces.

cat &lt;&lt;-FINDUMESSAGE
	Ceci est la ligne 1 du message.
	Ceci est la ligne 2 du message.
	Ceci est la ligne 3 du message.
	Ceci est la ligne 4 du message.
	Ceci est la dernière ligne du message.
FINDUMESSAGE
# La sortie du script sera poussée vers la gauche.
# Chaque tabulation de chaque ligne ne s'affichera pas.

# Les cinq lignes du "message" sont préfacées par une tabulation, et non des espaces,
# Les espaces ne sont pas affectés par &lt;&lt;-  .

# Notez que cette option n'a aucun effet sur les tabulations *intégrées*.


exit 0
