#!/bin/bash
# Autre document en ligne 'cat' utilisant la substitution de paramètres.

# Essayez-le sans arguments,     ./scriptname
# Essayez-le avec un argument,   ./scriptname Mortimer
# Essayez-le avec deux arguments entre guillemets,
#                                ./scriptname "Mortimer Jones"

CMDLINEPARAM=1     # Attendez au moins un paramètre en ligne de commande.

if [ $# -ge $CMDLINEPARAM ]
then
  NOM=$1          #  Si plus d'un paramètre en ligne de commande, prendre
                  #+ seulement le premier.
else
  NOM="John Doe"  # Par défaut, s'il n'y a pas de paramètres.
fi  

INTERLOCUTEUR="l'auteur de ce joli script"
  

cat &lt;&lt;FinDuMessage

Salut, $NOM.
Bienvenue à toi, $NOM, de la part de $INTERLOCUTEUR.

# Ce commentaire s'affiche dans la sortie (pourquoi ?).

FinDuMessage

# Notez que les lignes blanches s'affichent. Ainsi que le commentaire.

exit 0
