#!/bin/bash
#  Un document en ligne 'cat', mais avec la substitution de paramètres
#+ désactivée.

NOM="John Doe"
INTERLOCUTEUR="l'auteur de ce joli script"

cat &lt;&lt;'FinDuMessage'

Salut, $NOM.
Bienvenue à toi, $NOM, de la part de $INTERLOCUTEUR.

FinDuMessage

#  Remplacement de la ligne 7, ci-dessus, avec
#+   cat &gt; $Nouveaufichier &lt;&lt;Fin-du-message
#+       ^^^^^^^^^^
#+ écrit la sortie dans le fichier $Nouveaufichier, plutôt que sur stdout.

#  Pas de substitution de paramètres lorsque la chaîne de fin est entre
#+ guillemets ou échappée.
#  L'une des deux commandes ci-dessous à l'entête du document en ligne aura le
#+ le même effet.
#  cat &lt;&lt;"FinDuMessage"
#  cat &lt;&lt;\FinDuMessage

exit 0
