#!/bin/bash

trap 'echo "VARIABLE-TRACE> \$variable = \"$variable\""' DEBUG
# Affiche la valeur de $variable après chaque commande.

variable=29

echo "Initialisation de \"\$variable\" à $variable."

let "variable *= 3"
echo "Multiplication de \"\$variable\" par 3."

exit $?

#  La construction "trap 'commande1 ... commande2 ...' DEBUG" est plus
#+ appropriée dans le contexte d'un script complexe
#+ où placer plusieurs instructions "echo $variable" pourrait être
#+ difficile et consommer du temps.


# Merci, Stéphane Chazelas, pour cette information.

Affichage du script :

VARIABLE-TRACE> $variable = ""
VARIABLE-TRACE> $variable = "29"
Initialisation de "$variable" à 29.
VARIABLE-TRACE> $variable = "29"
VARIABLE-TRACE> $variable = "87"
Multiplication de "$variable" par 3.
VARIABLE-TRACE> $variable = "87"