#!/bin/bash

ARGS=1            # Nombre d'arguments attendus.
E_MAUVAISARGS=65  # Valeur de sortie si un nombre incorrect d'arguments est passé.

test $# -ne $ARGS &amp;&amp; \
echo "Usage: `basename $0` $ARGS argument(s)" &amp;&amp; exit $E_MAUVAISARGS
#  Si la condition 1 est vraie (mauvais nombre d'arguments passés au script),
#+ alors le reste de la ligne s'exécute et le script se termine.

# La ligne ci-dessous s'exécute seulement si le test ci-dessus a échoué.
echo "Bon nombre d'arguments passés à ce script."

exit 0

# Pour vérifier la valeur de sortie, faites un "echo $?" après la fin du script.
