#!/bin/bash
# erase.sh : Utilisation de "stty" pour initialiser un caractère d'effacement
# lors de la lecture de l'entrée standard.

echo -n "Quel est ton nom? "
read nom                       #  Essayez la touche Backspace
                               #+ pour effacer quelques caractères.
                               #  Problèmes ?
echo "Votre nom est $nom."

stty erase '#'                 # Initialisation de la "dièse" (#) comme
                               # caractère d'effacement.
echo -n "Quel est ton nom ? "
read nom                       # Utilisez # pour effacer le dernier caractère
                               # saisi.
echo "Votre nom est $nom."

# Attention : même après la sortie du script, la nouvelle clé reste initialisée.


exit 0

# Même après la sortie du script, la nouvelle clé reste initialisée.
# Exercice : Comment réinitialiser le caractère d'échappement à sa valeur par défaut ?
