#!/bin/bash
# Tester des suites de caractères.

echo; echo "Appuyez sur une touche, puis faites ENTER."
read Touche

case "$Touche" in
  [[:lower:]]   ) echo "Lettre minuscule";;
  [[:upper:]]   ) echo "Lettre majuscule";;
  [0-9]   ) echo "Nombre";;
  *       ) echo "Ponctuation, espace blanc ou autre";;
esac  #  Permet un ensemble de caractères dans des [crochets].
      #+ ou des ensembles POSIX dans des [[crochets doubles]].

#  Dans la première version de cet exemple,
#+ les tests des caractères minuscules/majuscules étaient
#+ [a-z] et [A-Z].
#  Ceci ne fonctionne plus avec certaines locales et/ou distributions Linux.
#  POSIX est plus portable.
#  Merci à Frank Wang de me l'avoir fait remarquer.

# Exercice :
# ---------
# Ce script accepte un simple appui sur une touche, puis se termine.
# Modifiez le script pour qu'il accepte une saisie répétée,
# rapportez chaque appui sur une touche, et terminez lors de l'appui sur "X".
# Astuce : mettre tout dans une boucle "while".

exit 0
