#!/bin/bash

# C'est un simple script supprimant les lignes blanches d'un fichier.
# Pas de vérification des arguments.
#
# Vous pouvez ajouter quelque chose comme ça :
# E_SANSARGS=65
# if [ -z "$1" ]
# then
#  echo "Usage : `basename $0` fichier-cible"
#  exit $E_SANSARGS
# fi


# Identique à
#    sed -e '/^$/d' nomfichier
# appelé à partir de la ligne de commande.

sed -e /^$/d "$1"
#  Le '-e' signifie qu'une commande d'"édition" suit (optionnel ici).
#  '^' est le début de la ligne, '$' en est la fin.
#  Ceci correspond aux lignes n'ayant rien entre le début et la fin de la ligne.
#  'd' est la commande de suppression.

#  Mettre entre guillemets l'argument de la ligne de commande permet de saisir
#+ des espaces blancs et des caractères spéciaux dans le nom du fichier.

#  Notez que ce script ne modifie pas réellement le fichier cible.
#  Si vous avez besoin de le faire, redirigez sa sortie.

exit 0
