#!/bin/bash

#  'echo' est bien pour afficher des messages sur une seule ligne
#+ mais il est parfois problématique pour des blocs de message.
#  Un document en ligne style 'cat' permet de surpasser cette limitation.

cat &lt;&lt;Fin-du-message
-------------------------------------
Ceci est la ligne 1 du message.
Ceci est la ligne 2 du message.
Ceci est la ligne 3 du message.
Ceci est la ligne 4 du message.
Ceci est la dernière ligne du message.
-------------------------------------
Fin-du-message

#  le remplacement de la ligne 7, ci-dessus, par
#+   cat &gt; $NouveauFichier &lt;&lt;Fin-du-message
#+       ^^^^^^^^^^
#+ écrit la sortie vers le fichier $NouveauFichier, au lieu de stdout.

exit 0


#--------------------------------------------
# Le code ci-dessous est désactivé à cause du "exit 0" ci-dessus.

# S.C. indique que ce qui suit fonctionne aussi.
echo "-------------------------------------
Ceci est la ligne 1 du message.
Ceci est la ligne 2 du message.
Ceci est la ligne 3 du message.
Ceci est la ligne 4 du message.
Ceci est la dernière ligne du message.
-------------------------------------"
#  Néanmoins, le texte ne pourrait  pas inclure les doubles guillemets sauf
#+ s'ils sont échappés.
