#!/bin/bash
# here-commsub.sh
# Nécessite Bash 4.1 au minimum

variable_multiligne=$( cat &lt;&lt;FINxxx
------------------------------
Ceci est la ligne 1 de la variable
Ceci est la ligne 2 de la variable
Ceci est la ligne 3 de la variable
------------------------------
FINxxx)

#  Rather than what Bash 4.0 requires:
#+ that the terminating limit string and
#+ the terminating close-parenthesis be on separate lines.

#  Ce qui est différent de la syntaxe de Bash 4.0,
#+ qui exige que la chaîne marquant la fin de la
#+ variable soit sur une ligne différente de
#+ la parenthèse fermante.

# FINxxx
# )


echo "$variable_multiligne"

#  Bash affiche quand même un avertissement :
#  avertissement : « here-document » à la ligne 12 délimité
#+ par la fin du fichier (au lieu de « FINxxx »)

