#!/bin/bash
# kill-process.sh

SANSPROCESSUS=2

processus=xxxyyyzzz  # Utilise un processus inexistant.
# Pour les besoins de la démo seulement...
# ... je ne veux pas réellement tuer un processus courant avec ce script.
#
# Si, par exemple, vous voulez utiliser ce script pour vous déconnecter d'Internet,
#     processus=pppd

t=`pidof $processus` # Trouve le pid (process id) de $processus.
#  Le pid est nécessaire pour 'kill' (vous ne pouvez pas lancer 'kill' sur un nom de
#+ programme).

if [ -z "$t" ]       # Si le processus n'est pas présent, 'pidof' renvoie null.
then
  echo "Le processus $processus n'est pas lancé."
  echo "Rien n'a été tué."
  exit $SANSPROCESSUS
fi  

kill $t              # Vous pouvez avoir besoin d'un 'kill -9' pour les processus fils.

# Une vérification sur l'existence du processus est nécessaire ici.
# Peut-être un autre " t=`pidof $processus` " ou...


# Ce script entier pourrait être remplacé par
#    kill $(pidof -x processus)
# ou
#    killall processus
# mais cela ne serait pas aussi instructif.

exit 0
