#!/bin/bash
# Bash, version 4.2 au minimum
# Utilisation d'indices négatifs dans l'extraction de sous-chaînes.
# Attention : cela change l'interprétation de cette structure.

chaineZ=abcABC123ABCabc

echo ${chaineZ}                              # abcABC123ABCabc
#                Position dans la chaine :     0123456789.....
echo ${chaineZ:2:3}                          #   cAB
#  Sautez 2 caractères à partir du début de la chaîne, et
#+ extrayez-en les 3 caractères suivant.
#  ${chaîne:position:longeur}

#  So far, nothing new, but now ...
#  Jusqu'à présent, rien de neuf, mais maintenant...

                                             # abcABC123ABCabc
#                Position dans la chaine :     0123....6543210
echo ${chaineZ:3:-6}                         #    ABC123
#                ^
#  Identifiez les indices situés 3 caractères après le début et
#+ 6 caractères avant la fin et extrayez tous les caractères
#+ entre les 2.
#  ${chaîne:position-depuis-le-début:position-depuis-la-fin}
#  Lorsque le paramètre « longueur » est négatif, il indique la
#+ position à partir de la fin.

#  Consultez également « neg-array.sh ».
