#!/bin/bash
# random2.sh: Renvoie un nombre pseudo-aléatoire compris entre 0 et 1.
# Utilise la fonction rand() d'awk.

SCRIPTAWK=' { srand(); print rand() } '
# Commande(s) / paramètres passés à awk
# Notez que srand() réinitialise le générateur de nombre aléatoire de awk.

echo -n "Nombre aléatoire entre 0 et 1 = "

echo | awk "$SCRIPTAWK"
# Que se passe-t-il si vous oubliez le 'echo' ?

exit 0


# Exercices :
# ----------

# 1) En utilisant une construction boucle, affichez 10 nombres aléatoires
#    différents.
#      (Astuce : vous devez réinitialiser la fonction "srand()" avec une donnée
#      différente à chaque tour de la boucle. Qu'arrive-t'il si vous échouez à le
#      faire ?)

# 2) En utilisant un multiplicateur entier comme facteur d'échelle, générez des
#    nombres aléatoires compris entre 10 et 100.

# 3) De même que l'exercice #2, ci-dessus, mais en générant des nombres
#    aléatoires entiers cette fois.
