#!/bin/bash
# substring-extraction.sh

Chaine=23skidoo1
#      012345678    Bash
#      123456789    awk
# Observez les différents modes de comptage des caractères :
# En Bash, le premier caractère de la chaîne est compté '0'.
# En Awk, le premier caractère de la chaîne est compté '1'.

echo ${Chaine:2:4} # 3ème position (0-1-2), quatre caractères de long
                                         # skid

# L'équivalent awk de ${string:position:longueur} est substr(string,position,longueur).
echo | awk '
{ print substr("'"${Chaine}"'",3,4)      # skid
}
'
#  Envoyer un "echo" vide à awk évite
#+ d'avoir à fournir un nom de fichier en entrée.

exit 0
